Bug 1339654 (CVE-2016-4552) - CVE-2016-4552 roundcube: XSS vulnerability in mail content page
Summary: CVE-2016-4552 roundcube: XSS vulnerability in mail content page
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-4552
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1339655 1339656
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-25 14:19 UTC by Andrej Nemec
Modified: 2021-02-17 03:50 UTC (History)
6 users (show)

Fixed In Version: roundcubemail 1.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-21 09:05:31 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-05-25 14:19:55 UTC
A 1.2.0 release of roundcubemail fixed an XSS vulnerability in href attribute on area tag.

External references:

https://github.com/roundcube/roundcubemail/issues/5240

Upstream fix:

https://github.com/roundcube/roundcubemail/pull/5241

Comment 1 Andrej Nemec 2016-05-25 14:20:29 UTC
Created roundcubemail tracking bugs for this issue:

Affects: fedora-all [bug 1339655]
Affects: epel-all [bug 1339656]

Comment 2 Andrej Nemec 2016-05-27 06:48:33 UTC
CVE assignment:

http://seclists.org/oss-sec/2016/q2/414

Comment 3 Fedora Update System 2016-06-05 02:50:41 UTC
roundcubemail-1.2.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-06-05 02:57:02 UTC
roundcubemail-1.2.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2016-06-18 18:56:13 UTC
roundcubemail-1.2.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Adam Mariš 2016-12-21 16:29:11 UTC
CVE-2016-5103 has been rejected in favour of CVE-2016-4552.


Note You need to log in before you can comment on or make changes to this bug.